<?php
//(Shirai005): 未送信の要約メールをいつでもユーザプロフィール画面で表示可能（HTML形式）とする改良 (2008/02/01)
// 2008/06/02に大幅改良．
// 2008/10/21に，forum_cron()に引数を追加していたのを改め，$fsCFGにパラメータを追加する方式とする．
//               さらにタイトルのみとHTML形式の選択を可能とする．

    require_once('../../config.php');
    require_once('lib.php');

    $id = optional_param('id',     0,      PARAM_INT);   // user id
    $fsCFG->unreadforum->maildigest = optional_param('maildigest', -1, PARAM_INT);  // 要約メールの表示形式(0, 1, 2)
    if ($fsCFG->unreadforum->maildigest > 2) $fsCFG->unreadforum->maildigest = -1;
    require_login();
    if ($USER->id != $id) {
        echo get_string('cannotreadunmailed', 'fs_moodle');
        die;
    }
    if (! $user = fs_get_record("user", "id", $id) ) {
        error("No such user in this site");
    }

    $fsCFG->unreadforum->displayonly = true;
    forum_cron();
//  mod/forum/lib.phpのfunction forum_cron()が結構，大胆に修正されている．(2008/06/02)
//  したがって，抜き出して手を入れた第一世代はもう用いるのではなく，forum_cron()を改良したものを用いることとする．

?>
